Name:          judoscript
Version:       1.0
Release:       %mkrel 1
Summary:       Judo Scripting Language
Group:         Development/Java
License:       LGPL
Url:           http://www.judoscript.org/home.html
Source0:       http://www.judoscript.org/store/src.jar
Source1:       http://www.judoscript.org/store/generated.jar
Source2:       judoscript-%{version}.pom

Patch0:        judoscript-JavaSysFunLib.patch
Patch1:        judoscript-ExprWSDL.patch
Patch2:        judoscript-StmtSendMail.patch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils >= 0:1.6

BuildRequires: ant
BuildRequires: apache-commons-compress10
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: axis
BuildRequires: bsf
BuildRequires: hibernate3
BuildRequires: jakarta-commons-email
BuildRequires: jakarta-commons-fileupload
BuildRequires: geronimo-jaf-1.0.2-api
BuildRequires: geronimo-javamail-1.3.1-api
BuildRequires: geronimo-jaxrpc
BuildRequires: liblog4j-java
BuildRequires: servletapi4
BuildRequires: wsdl4j
BuildRequires: xalan-j2

Requires:      ant
Requires:      apache-commons-compress10
Requires:      apache-commons-lang
Requires:      apache-commons-logging
Requires:      bsf
Requires:      jakarta-commons-email
Requires:      jakarta-commons-fileupload
Requires:      liblog4j-java

Requires:      servletapi4

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java >= 0:1.6.0
BuildArch:     noarch


%description
Judo is a practical, functional scripting language. It is
designed to cover the use cases of not only algorithmic/
object-oriented/multi-threaded programming and Java
scripting but also a number of major application domain
tasks, such as scripting for JDBC, WSDL, ActiveX, OS,
multiple file/data formats, etc. Despite its rich
functionality, the base language is extremely simple, and
domain support syntax is totally intuitive to domain
experts, so that even though you have never programmed in
Judo, you would have little trouble figuring out what the
code does.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Judo Scripting Language.

This package contains javadoc for %{name}.

%prep
%setup -T -c

mkdir -p target/classes
mkdir -p target/site/apidocs
unzip -q %{SOURCE0}
unzip -q %{SOURCE1}

cp -pr src/com/judoscript/parser/* src/judo/com/judoscript/parser/
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2

rm -rf src/judo/com/judoscript/ext
for j in $(find src/judo -name "*.java" -exec grep -l 'commons\.compress\.tar\.' {} \;); do
   sed -i -e 's/commons\.compress\.tar\./commons\.compress\.archivers\.tar\./' $j
done

%build

#export JAVA_HOME=%{_jvmdir}/java
export CLASSPATH=$(build-classpath \
ant \
axis/axis \
bsf \
commons-compress10 \
commons-email \
jakarta-commons-fileupload \
commons-lang \
commons-logging \
log4j \
servletapi4 \
wsdl4j \
xalan-j2 \
geronimo-javamail-1.3.1-api \
geronimo-jaf-1.0.2-api \
geronimo-jaxrpc \
hibernate3-core \
)
#:target/classes
export BD=$(pwd)
#pushd src/judo/com/judoscript/parser
#%{_jvmdir}/java/bin/java -cp $(build-classpath javacc3) javacc judo.jj
#popd
#patch -p0 < %{PATCH1}
pushd src/judo
%javac -target 1.4 -source 1.4 -d ${BD}/target/classes $(find com/judoscript/util -name "*.java")
%javac -target 1.4 -source 1.4 -d ${BD}/target/classes $(find com -name "*.java")
%javadoc -d ${BD}/target/site/apidocs -sourcepath . \
com.judoscript \
com.judoscript.jmdl \
com.judoscript.jmdl.reader \
com.judoscript.studio \
com.judoscript.xml \
com.judoscript.user \
com.judoscript.user.httpserver \
com.judoscript.db \
com.judoscript.bio \
com.judoscript.hibernate \
com.judoscript.parser \
com.judoscript.parser.helper \
com.judoscript.jusp \
com.judoscript.jdk14 \
com.judoscript.gui \
com.judoscript.util \
com.judoscript.util.classfile \
com.judoscript.util.jdiff \

popd
pushd target/classes
%jar cf ../%{name}.jar *
popd

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}.jar %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Dec 07 2011 gil <gil> 1.0-1.mga2
+ Revision: 178318
- fixed classpath and BRs
- imported package judoscript

